<?php
/*
Plugin Name: RMUTP Intranet Access
Version:     1.1
Description: Use shortcode [intranet]...Some Private Content..[/intranet] to secure our data.
Author:      Pamok Rattanatraiyapibal
*/

function in_ip_range($ip_one, $ip_two=false){
    if($ip_two===false){
        if($ip_one==$_SERVER['REMOTE_ADDR']){
            $ip=true;
        }else{
            $ip=false;
        }
    }else{
        if(ip2long($ip_one)<=ip2long($_SERVER['REMOTE_ADDR']) && ip2long($ip_two)>=ip2long($_SERVER['REMOTE_ADDR'])){
            $ip=true;
        }else{
            $ip=false;
        }
    }
    return $ip;
}

function IntranetAccess( $atts, $content = null ) {

    //Private, Local IP Range
    if(
        in_ip_range('127.0.0.1') ||
        in_ip_range('10.0.0.0', '10.255.255.255') ||
        in_ip_range('172.16.0.0', '172.31.255.255') ||
        in_ip_range('192.168.0.0', '192.168.255.255') ||
        $_SERVER['REMOTE_ADDR']=='::1'
    ){
        return do_shortcode($content);
    }

    //RMUTP IP Range
    if(
        in_ip_range('202.29.104.0', '202.29.104.255') ||
        in_ip_range('202.44.128.0', '202.44.128.255') ||
        in_ip_range('203.158.144.0', '203.158.159.255') ||
        in_ip_range('203.158.232.0', '203.158.239.255') ||
        strpos($_SERVER['REMOTE_ADDR'], '2001:3c8:100f') !==false
    ){
        return do_shortcode($content);
    }


    $a=shortcode_atts( array(
        'notice' => false, 
		'msg' => 'Sorry, This content available for intranet use only.'
	), $atts );

    return ( $a['notice'] ) ? $a['msg'] : '';

}

add_shortcode('intranet', 'IntranetAccess');

?>
